org.eclipse.actf.visualization.engines.blind.eval

## Class EvaluationResultBlind

- java.lang.Object
- - org.eclipse.actf.visualization.eval.EvaluationResultImpl
  - - org.eclipse.actf.visualization.engines.blind.eval.EvaluationResultBlind

All Implemented Interfaces:
  IACTFReport, IEvaluationResult

    public class EvaluationResultBlind
    extends EvaluationResultImpl

Implementation class of `IEvaluationResult`

### Constructor Summary

Constructors
Constructor and Description
`EvaluationResultBlind()`

### Method Summary

Methods
`void` `addProblemItems(Collection<IProblemItem> c)` Add problem items into current list
`PageEvaluation` `getPageEvaluation()` Get `PageEvaluation` related to the evaluation
`void` `setPageEvaluation(PageEvaluation pageEvaluation)` Set `PageEvaluation` related to the evaluation
`void` `setProblemList(List<IProblemItem> problemList)` Set detected problem item list

### Methods inherited from class org.eclipse.actf.visualization.eval.EvaluationResultImpl

`accept, addAssociateFile, addProblemItems, getAssociateFiles, getLineStyleListener, getProblemList, getSourceFile, getSummaryReportText, getSummaryReportUrl, getTargetUrl, isShowAllGuidelineItems, removeAssociatedFile, setLineStyleListener, setShowAllGuidelineItems, setSourceFile, setSummaryReportText, setSummaryReportUrl, setTargetUrl`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EvaluationResultBlind

    public EvaluationResultBlind()

### Method Detail

#### addProblemItems

    public void addProblemItems(Collection<IProblemItem> c)

Description copied from interface: `IEvaluationResult`
Add problem items into current list

Specified by:
  `addProblemItems` in interface `IEvaluationResult`
Overrides:
  `addProblemItems` in class `EvaluationResultImpl`
Parameters:
  `c` - target problem item collection to add

#### setProblemList

    public void setProblemList(List<IProblemItem> problemList)

Description copied from interface: `IEvaluationResult`
Set detected problem item list

Specified by:
  `setProblemList` in interface `IEvaluationResult`
Overrides:
  `setProblemList` in class `EvaluationResultImpl`
Parameters:
  `problemList` - target problem item list

#### getPageEvaluation

    public PageEvaluation getPageEvaluation()

Get `PageEvaluation` related to the evaluation

Returns:
  `PageEvaluation`

#### setPageEvaluation

    public void setPageEvaluation(PageEvaluation pageEvaluation)

Set `PageEvaluation` related to the evaluation

Parameters:
  `pageEvaluation` - target `PageEvaluation`